Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 224024

Summary: netconsole doesn't work under xen kernel
Product: [Fedora] Fedora Reporter: Jeff Layton <jlayton>
Component: kernel-xenAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED NOTABUG QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: bstein, clalance, sct, steved, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-16 17:50:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jeff Layton 2007-01-23 18:16:20 UTC
+++ This bug was initially created as a clone of Bug #224023 +++

When you try to start netconsole under a xen kernel, you get:

netconsole: local port 6665
netconsole: local IP 172.16.59.133
netconsole: interface eth0
netconsole: remote port 6666
netconsole: remote IP 172.16.57.196
netconsole: remote ethernet address 00:16:35:36:af:1e
netconsole: eth0 doesn't support polling, aborting.

The same operation works fine on the same hardware with a non xen kernel.

Ethernet interface is:

06:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)

Comment 1 Stephen Tweedie 2007-01-24 15:19:48 UTC
It should work fine if you start it before xend, or if you use peth0 instead of
eth0 after xend is running.  Does that help?


Comment 2 Jeff Layton 2007-02-16 17:50:07 UTC
We don't ship startup scripts for netconsole alone, but we do ship one for
netdump and you can set it up to just start netconsole by just setting
$NETLOGADDR and not $NETDUMPADDR. When I configured this and chkconfig'ed it on
at boot time, it started it before xend and did work as expected.

I think we can probably close this as NOTABUG. I'll go ahead and do that...